//+=============================================================================
//
// file :         ABendingStateMachine.cpp
//
// description :  C++ source for the ABending and its alowed 
//                methods for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: claudio $
//
// $Revision: 1.6 $
// $Date: 2012-06-05 13:11:00 $
//
// SVN only:
// $HeadURL: $
//
// CVS only:
// $Source: /home/cvsadm/cvsroot/fermi/servers/bending/src/ABendingStateMachine.cpp,v $
// $Log: ABendingStateMachine.cpp,v $
// Revision 1.6  2012-06-05 13:11:00  claudio
// added ExcitationSetPoint attribute
//
// Revision 1.5  2012-06-04 15:48:24  claudio
// read e setting separati
// piu' robusta gestione eccezzioni
//
// Revision 1.4  2012-02-29 13:00:42  claudio
// ticket 891:  aggiunti attributi per leggere minimi e massimi delle grandezze impostabili. Vengono ricalcolati quando cambia l'energia.
//
// Revision 1.3  2010/09/02 14:14:34  claudio
// improved handling of device state:
// - mirrors power supply state
// - fault if cannto read power supply
// - is OFF or STANDBY force 0 reading and setting
// - rationalized handling of update values
//
// Revision 1.2  2010/03/31 15:38:08  claudio
// added Kick in milliradians
//
// Revision 1.1  2010/02/23 15:45:19  claudio
// bending magnet model - first import
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <ABending.h>
#include <ABendingClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace ABending_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		ABending::is_Excitation_allowed
// 
// description : 	Read/Write allowed for Excitation attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_Excitation_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_MagnetEnergy_allowed
// 
// description : 	Read/Write allowed for MagnetEnergy attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_MagnetEnergy_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_Energy_allowed
// 
// description : 	Read/Write allowed for Energy attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_Energy_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_Kick_allowed
// 
// description : 	Read/Write allowed for Kick attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_Kick_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_MinMagnetEnergy_allowed
// 
// description : 	Read/Write allowed for MinMagnetEnergy attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_MinMagnetEnergy_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_MaxMagnetEnergy_allowed
// 
// description : 	Read/Write allowed for MaxMagnetEnergy attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_MaxMagnetEnergy_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_MinKick_allowed
// 
// description : 	Read/Write allowed for MinKick attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_MinKick_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_MaxKick_allowed
// 
// description : 	Read/Write allowed for MaxKick attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_MaxKick_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_MagnetEnergySetPoint_allowed
// 
// description : 	Read/Write allowed for MagnetEnergySetPoint attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_MagnetEnergySetPoint_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_KickSetPoint_allowed
// 
// description : 	Read/Write allowed for KickSetPoint attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_KickSetPoint_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		ABending::is_ExcitationSetPoint_allowed
// 
// description : 	Read/Write allowed for ExcitationSetPoint attribute.
//
//-----------------------------------------------------------------------------
bool ABending::is_ExcitationSetPoint_allowed(Tango::AttReqType type)
{
	if (get_state() == Tango::UNKNOWN)
	{
		//	End of Generated Code

		//	Re-Start of Generated Code
		return false;
	}
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================


}	// namespace ABending_ns
